Create API key

POST
/api/v2/api-keys

Create a new API key.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Request Body

application/json

The API key name, description and expiration date.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "expiryDate": "2019-08-24T14:15:22Z"  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "apiKey": "string"  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}